const char *name="rvs";
const char *ver="0.8c";
/* Copyright (C) 2009 Luke Shumaker
   
   This file is part of rvs.
   
   rvs is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your
   option) any later version.
   
   rvs is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   See the GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with rvs; see the file COPYING.
   If not, write to the Free Software Foundation,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <dirent.h>
#include <string.h>
#include <sys/stat.h>
#include <unistd.h>
#include <errno.h>
#include <error.h>

const char *libexecdir="./plugins";
const char *plugin_conf="plugin.conf";

/*char *load_plugin_lines (FILE *file)
{
	int nbytes = 10;
	char *string;
	
	string = (char *) malloc(nbytes + 1);
	while ((bytes_read=getline(&string, &nbytes, file)) != -1) {
		printf(" - %s",string);
	}
	return string;
}*/

int load_plugin_lines (FILE *file)
{
	char c;
	while ( (c=getc(file)) != EOF ) {
		if (c == '\\') {
			c=getc(file);
			switch (c) {
				case '\\':
					putchar(c);
					break;
				case ':':
					putchar(c);
					break;
				case '/':
					putchar(c);
					break;
				case '\n':
					putchar(c);
					break;
				default:
					error(EXIT_FAILURE,0,"syntax error");
					break;
			}
		} else {
			switch (c) {
				case '\\':
					/*putchar(c);
					printf("%c\n",c);*/
					putchar('|');
					break;
				case ':':
					/*putchar(c);*/
					putchar('|');
					break;
				case '/':
					/*putchar(c);*/
					putchar('|');
					break;
				case '\n':
					/*putchar(c);*/
					putchar('|');
					break;
				default:
					putchar(c);
					break;
			}
		}
	}
	return 0;
}
int load_plugin (char *plug_name)
{
	printf("loading plugin `%s'\n",plug_name);
	
	chdir(plug_name);
	FILE *file = fopen(plugin_conf,"r");
	
	/* fopen gives NULL on failure */
	if ( file == NULL ) {
		error(EXIT_FAILURE,errno,
			"%s/%s/%s",libexecdir,plug_name,plugin_conf);
	} else {
		load_plugin_lines(file);
	}
	fclose( file );
	chdir("..");
	return 0;
}

int load_plugins ()
{
	chdir(libexecdir);
	
	DIR *dp;
	struct dirent *ep;
	int serr;
	struct stat sbuf;
	dp = opendir ("./");
	if (dp != NULL) {
		puts("foo0");
		while (ep = readdir (dp)) {
			if ((strcmp(ep->d_name,"." )!=0)&&
			    (strcmp(ep->d_name,"..")!=0)) {
				serr = stat(ep->d_name, &sbuf);
				if (!serr && S_ISDIR(sbuf.st_mode)) {
					load_plugin(ep->d_name);
				}
			}
		}
		(void) closedir (dp);
	}
	else
		error(EXIT_FAILURE,errno,"%s/",libexecdir);
	return 0;
}

int main (void)
{
	load_plugins();
	return 0;
}

