#!@SHELL@
name='rvs repo commit'
ver='0.7.3'
# Copyright (C) 2009 Luke Shumaker
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# Originally written by Luke Shumaker <lukeshu@sbcglobal.net>.

source "$libexecdir/lib/stdio"

# commit FILE
file=${1-.}

if [ ! -e $file ]; then error "file \`$file' does not exist";
# START file type list
elif [ -L $file ]; then type='l';	# symbolic link
elif [ -b $file ]; then type='b';	# block       (buffered) special
elif [ -c $file ]; then type='c';	# character (unbuffered) special
elif [ -d $file ]; then type='d';	# directory
elif [ -p $file ]; then type='p';	# named pipe (FIFO)
elif [ -f $file ]; then type='f';	# regular file
elif [ -s $file ]; then type='s';	# socket
#elif [ -D $file ]; then type='D';	# door (Solaris only)
# END   file type list
else error "could not identify file type of \`$file'"
fi

out "+$type `pwd`/$file"
ret=`"$RVS" commit.$type "$file"`

tmp=`tempfile`
cat << __EOF__ > "$tmp"
name:$file
hash:$ret
type:$type
author:$user
owner:$owner
license:$license
__EOF__

"$RVS" commit.f "$tmp"
rm "$tmp"

