#!@SHELL@
name='rvs repo get.d'
ver='0.7.3'
#   Copyright (C) 2009 Luke Shumaker
#   
#   This file is part of rvs.
#   
#   rvs is free software; you can redistribute it and/or modify it under the
#   terms of the GNU General Public License as published by the Free Software
#   Foundation; either version 2, or (at your option) any later version.
#   
#   rvs is distributed in the hope that it will be useful, but
#   WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#   See the GNU General Public License for more details.
#   
#   You should have received a copy of the GNU General Public License
#   along with rvs; see the file COPYING.
#   If not, write to the Free Software Foundation,
#   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#source "$libexecdir/lib/stdio"

# get.d ID DIRNAME
id="$1"
dir="$2"

tmp=`tempfile`
"$RVS" get.f "$id" "$tmp"

#install -d "$dir"
mkdir -p "$dir"

cd "$dir"
rm -rf ./*
while read line; do
	# GNU bash optimized version
		#hash=${line/#*:/}
		#name=${line/%:${hash}/}
	# POSIX version
		hash=`echo "$line" | sed 's/^.*://'`
		name=`echo "$line" | sed "s/:$hash$//"`
	"$RVS" get "$hash" "$name"
done < "$tmp"

rm "$tmp"

