#!@SHELL@
#name='rvs users stdio'
#ver='0.7.3'
#   Copyright (C) 2009 Luke Shumaker
#   
#   This file is part of rvs.
#   
#   rvs is free software; you can redistribute it and/or modify it under the
#   terms of the GNU General Public License as published by the Free Software
#   Foundation; either version 2, or (at your option) any later version.
#   
#   rvs is distributed in the hope that it will be useful, but
#   WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#   See the GNU General Public License for more details.
#   
#   You should have received a copy of the GNU General Public License
#   along with rvs; see the file COPYING.
#   If not, write to the Free Software Foundation,
#   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

verbose() {
	if [ "$volume" == '-v' ]; then
		echo $@ >> /dev/stderr
	fi
}

out() {
	if [ "$volume" != '-q' ]; then
		echo $@ >> /dev/stderr
	fi
}

warn () {
	echo "$name: $1" >> /dev/stderr
}

fatal () {
	warn "$1"
	exit 1
}

error() {
	warn "$1"
	cat << __error__ >> /dev/stderr
Usage: $name $usage

Try \`$name --help\' for more options.
__error__
	exit 1
}

version() {
	echo "$name $ver"
	if [ "$volume" != '-q' ]; then
		cat << __disclaimer__
$name is copyright (C) 2009 Luke Shumaker
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

Originally written by Luke Shumaker <lukeshu@sbcglobal.net>.
__disclaimer__
	fi
	exit 0
}

